/**
 * OW2 Util
 * Copyright (C) 2008 SERLi
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id OsgiRepositoryDeployer.java $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.plan.deployer;

import org.ow2.util.plan.deployer.impl.AbsRepositoryDeployerImpl;
import org.ow2.util.plan.repository.api.IRepositoryManager;


/**
 * Repository Deployer that uses a RepositoryManager that is a
 * property.
 * @author Mickaël LEDUQUE
 *
 */
public class OsgiRepositoryDeployerImpl extends AbsRepositoryDeployerImpl {

    /**
     * The repository manager that will be used.
     */
    private IRepositoryManager repositoryManager = null;

    /**
     * Sets the repository manager.
     * @param repositoryManager the new repository manager.
     */
    public void setRepositoryManager(IRepositoryManager repositoryManager) {
        this.repositoryManager = repositoryManager;
    }

    /**
     * Returns the repository manager.
     * @return the repository manager.
     */
    public IRepositoryManager getRepositoryManager() {
        return repositoryManager;
    }
}
